"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def management_vms(hub, ctx, org: str, sddc: str, management_vm_id: str, ip_type: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        management_vm_id(str): the management VM ID.
        ip_type(str): the ip type to associate with FQDN in DNS.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc.dns.management_vms(ctx, org=value, sddc=value, management_vm_id=value, ip_type=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc.dns.management_vms org=value, sddc=value, management_vm_id=value, ip_type=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="put",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/management-vms/{managementVmId}/dns/{ipType}".format(**{"org": org, "sddc": sddc, "managementVmId": management_vm_id, "ipType": ip_type}),
        query_params={},
        data={}
    )


async def dns_private(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc.dns.dns_private(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc.dns.dns_private org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="put",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/dns/private".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )


async def dns_public(hub, ctx, org: str, sddc: str) -> None:
    """
    **Autogenerated function**
    
    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc.dns.dns_public(ctx, org=value, sddc=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc.dns.dns_public org=value, sddc=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="put",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/dns/public".format(**{"org": org, "sddc": sddc}),
        query_params={},
        data={}
    )

